div, p, li {
    word-break: break-all;
}

div {
    display: block;
    unicode-bidi: isolate;
}

.picCollection {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    height: auto;
    position: relative;
    width: 100%;
}

.innerCollectionWp {
    display: flex;
    flex-direction: row;
    max-height: 620px;
    min-height: 388px;
    position: relative;
    width: calc(100% - 92px);
}

.thumbnailsWp {
    height: 100%;
    justify-content: flex-start;
    margin-right: 8px;
    overflow: hidden;
    position: absolute;
    top: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    width: 90px;
}

.thumbnails {
    -ms-overflow-style: none;
    height: auto;
    position: relative;
    scrollbar-width: none;
    width: 100%;
}

.thumbnails, .thumbnailsWp {
    align-items: center;
    display: flex;
    flex-direction: column;
}

.thumbnailpx {
    align-items: center;
    box-sizing: border-box;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-bottom: 5px;
    outline: none;
}

.thumbnailItem {
    align-items: center;
    background-color: rgba(0, 0, 0, .03);
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    height: 76px;
    justify-content: center;
    margin-bottom: 2px;
    overflow: hidden;
    position: relative;
    width: 76px;
}

.thumbnailActive {
    border: 2px solid #ff5000;
    border-radius: 4px;
}

.mainPic, .thumbnailPic {
    display: block;
    max-height: 100%;
    max-width: 100%;
}


.scroll-trigger {
    position: absolute;
    width: 100%;
    height: 30px;
    z-index: 10;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.scroll-up {
    top: 0;
    background: linear-gradient(to bottom, rgba(255,255,255,0.8), rgba(255,255,255,0));
}

.scroll-down {
    bottom: 0;
    background: linear-gradient(to top, rgba(255,255,255,0.8), rgba(255,255,255,0));
}

.scroll-up:hover {
    background: linear-gradient(to bottom, rgba(255,255,255,0.9), rgba(255,255,255,0.3));
}

.scroll-down:hover {
    background: linear-gradient(to top, rgba(255,255,255,0.9), rgba(255,255,255,0.3));
}

.thumbnails-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    padding: 5px;
}

    .thumbnails-container::-webkit-scrollbar {
        display: none;
    }

.thumbnails-container {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.mainPicWp {
    align-items: center;
    background-color: rgba(0, 0, 0, .03);
    display: flex;
    height: 100%;
    justify-content: center;
    margin-left: 98px;
    position: relative;
    width: 100%;
}

.mainPicBluW {
    align-items: center;
    display: flex;
    flex-direction: row;
    height: 100%;
    justify-content: center;
    overflow: hidden;
    position: relative;
    width: 100%;
    z-index: 10;
}

.maPVBlg {
    width: 500px;
    height: 500px;
    position: relative;
    overflow: hidden;
}

    .maPVBlg img {
        width: 100%;
        height: 100%;
        display: block;
        cursor: crosshair;
        object-fit: contain;
    }

    .maPVBlg video {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }


.PurchasPa {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

.PurchasPan {
    display: flex;
    flex: 1;
    flex-direction: column;
    height: 100%;
    position: relative;
    width: 100%;
}

.PurchasPanWrap {
    -ms-overflow-style: none;
    box-sizing: border-box;
    flex: 1;
    overflow-y: auto;
    scrollbar-width: none;
    width: 100%;
}

.InfoPrLi {
    flex-direction: column;
    min-height:465px;
}

.main-image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
    cursor: crosshair;
}

.overlay {
    position: absolute;
    width: 200px;
    height: 200px;
    background-color: rgba(255, 255, 255, 0.5);
    border: 1px solid rgba(6, 231, 251, 0.8);
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    border-radius: 8px;
}


.zoom-container {
    top: 0;
    left: 0;
    position: absolute;
    width: 500px;
    height: 500px;
    overflow: hidden;
    box-shadow: 0 0px 10px rgba(0, 0, 0, 0.2);
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 100;
}

.zoom-image {
    position: absolute;
    width: 200%;
    height: 200%;
    object-fit: contain;
    pointer-events: none;
}

.Cassortdiv {
    height: auto;
    width: 100%;
}
.CassortdivH {
    color:#999999;
    display: flex;
    font-size: 1.2rem;
    line-height: 20px;
    margin:5px;
}
.CassortH {
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
    height: auto;
}
.Cassort {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    height: auto;
    padding: 6px 3px;
}

.CassortvItem {
    border: 1px solid #d6d6d6;
    align-items: center;
    background-color: #fff;
    border-radius: 8px;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    margin: 5px 10px;
}
.CassortvItemDiv {
    white-space: nowrap;
    word-break: keep-all;
    cursor: pointer;
}
.CassortvItemSp {
    white-space: nowrap;
    word-break: keep-all;
    padding: 12px;
    height: 50px;
    font-size: 1.2rem;
}
.CassortvItemImg {
    height: 38px;
    width: 38px;
    margin-right: 8px;
}
.tsortActive {
    border: 1px solid #ff5000;
    color: #ff5000;
}